﻿using System;
using Shared;
namespace HDL_ON.UI.UI2.Intelligence.Automation.LogicView
{
    public class AddOutputInputTextView
    {
        /// <summary>
        /// 主控件
        /// </summary>
        public FrameLayout frameLayout = new FrameLayout
        {
            Height = Application.GetRealHeight(46),
        };
        /// <summary>
        /// 显示（如果/就执行）
        /// </summary>
        public Button btnIf = new Button
        {
            TextSize = TextSize.text16,
            TextColor = CSS.CSS_Color.textColor,
            Width = Application.GetRealWidth(32 + 32+200),
            Height = Application.GetRealHeight(22),
            Y = Application.GetRealHeight(12),
            X = Application.GetRealWidth(TextSize.left16),
            TextAlignment = TextAlignment.CenterLeft,
            TextID = StringId.ifCondition,
            IsBold = true,
        };
        /// <summary>
        /// View
        /// </summary>
        /// <returns></returns>
        public FrameLayout FLayoutView(int flHeight,int btnY)
        {
            frameLayout.Height = Application.GetRealHeight(flHeight);
            btnIf.Y= Application.GetRealHeight(btnY);
            frameLayout.AddChidren(btnIf);

            return frameLayout;
        }
    }
}
