﻿using System;
using Shared;
namespace HDL_ON.UI.UI2.Intelligence.Automation.LogicView
{
    public class FunAllAreaView
    {
        /// <summary>
        /// 主控件View
        /// </summary>
        public FrameLayout frameLayout = new FrameLayout
        {
            Height = Application.GetRealHeight(53),
            BackgroundColor = CSS.CSS_Color.view,
        };
        /// <summary>
        /// 第一个下拉图标
        /// </summary>
        public Button btnIcon1 = new Button
        {
            Width = Application.GetRealWidth(16),
            Height = Application.GetRealWidth(16),
            Y = Application.GetRealHeight(19),
            X = Application.GetRealWidth(TextSize.left16),
            UnSelectedImagePath = "LogicIcon/down.png",

        };
        /// <summary>
        /// 第一个文本描述
        /// </summary>
        public Button btnText1 = new Button
        {
            TextSize = TextSize.text12,
            Width = Application.GetRealWidth(70),
            Height = Application.GetRealHeight(17),
            TextColor = CSS.CSS_Color.textColor,
            Y=Application.GetRealHeight(18),
            X = Application.GetRealWidth(34),
            TextAlignment = TextAlignment.CenterLeft,
            TextID=StringId.allAreas,
            
        };

        /// <summary>
        /// 第二个下拉图标
        /// </summary>
        public Button btnIcon2 = new Button
        {
            Width = Application.GetRealWidth(16),
            Height = Application.GetRealWidth(16),
            Y = Application.GetRealHeight(19),
            X = Application.GetRealWidth(122),
            UnSelectedImagePath = "LogicIcon/down.png",

        };
        /// <summary>
        /// 第二个文本描述
        /// </summary>
        public Button btnText2 = new Button
        {
            TextSize = TextSize.text12,
            Width = Application.GetRealWidth(70),
            Height = Application.GetRealHeight(17),
            TextColor = CSS.CSS_Color.textColor,
            Y=Application.GetRealHeight(18),
            X = Application.GetRealWidth(140),
            TextAlignment = TextAlignment.CenterLeft,
            TextID = StringId.allFun,
        };

        /// <summary>
        ///View的方法
        /// </summary>
        /// <returns></returns>
        public FrameLayout FLayoutView()
        {
            frameLayout.AddChidren(btnIcon1);
            frameLayout.AddChidren(btnText1);
            frameLayout.AddChidren(btnIcon2);
            frameLayout.AddChidren(btnText2);
            return frameLayout;
        }
       
    }
}
