﻿using System;
using Shared;
namespace HDL_ON.UI.UI2.Intelligence.Automation.LogicView
{
    public class FunTypeView
    {
        /// <summary>
        /// 主控件View
        /// </summary>
        public FrameLayout frameLayout = new FrameLayout
        {
            Height = Application.GetRealHeight(50),
            BackgroundColor = CSS.CSS_Color.view,
        };
        /// <summary>
        /// 文本描述
        /// </summary>
        public Button btnText = new Button
        {
            TextSize = TextSize.text16,
            Width = Application.GetRealWidth(130),
            Height = Application.GetRealHeight(22),
            TextColor = CSS.CSS_Color.textColor,
            //Y=Application.GetRealHeight(12),
            X = Application.GetRealWidth(16),
            Gravity = Gravity.CenterVertical,
            TextAlignment = TextAlignment.CenterLeft,
        };
       
        /// <summary>
        /// （条件或者目标）设备状态文本描述
        /// </summary>
        public Button btnState = new Button
        {
            TextSize = TextSize.text12,
            Width = Application.GetRealWidth(130),
            Height = Application.GetRealHeight(17),
            TextColor = CSS.CSS_Color.textCancelColor,
            Y = Application.GetRealHeight(17),
            X = Application.GetRealWidth(375 - 48 - 130),
            TextAlignment = TextAlignment.CenterRight,
            Text="",
        };
        /// <summary>
        /// 图标
        /// </summary>
        public Button btnNextIcon = new Button
        {
            Width = Application.GetRealWidth(16),
            Height = Application.GetRealWidth(16),
            UnSelectedImagePath = "LogicIcon/next.png",
            X = Application.GetRealWidth(339),
        };

        /// <summary>
        /// 线
        /// </summary>
        public Button btnLine = new Button
        {
            Width = Application.GetRealWidth(343),
            X = Application.GetRealWidth(16),
            Height = 1,
            BackgroundColor = CSS.CSS_Color.viewLine,

        };

        public Button btnClick = new Button
        {
            Height = Application.GetRealHeight(50),
        };
        /// <summary>
        /// View的方法
        /// </summary>
        /// <returns></returns>
        public FrameLayout FLayoutView()
        {
            btnNextIcon.Gravity = Gravity.CenterVertical;
            frameLayout.AddChidren(btnText);
            frameLayout.AddChidren(btnState);
            frameLayout.AddChidren(btnNextIcon);
            btnLine.Y = frameLayout.Height - 1;
            frameLayout.AddChidren(btnLine);
            frameLayout.AddChidren(btnClick);
            return frameLayout;
        }
    }
}
