﻿using System;
using Shared;
namespace HDL_ON.UI.UI2.Intelligence.Automation.LogicView
{
    public class SaveView
    {
        /// <summary>
        /// 主控件View
        /// </summary>
        public FrameLayout frameLayout = new FrameLayout
        {
            Y = Application.GetRealHeight(TextSize.view667 - 76),
            Height = Application.GetRealHeight(76),
            Width = Application.GetRealWidth(TextSize.view375),
            Gravity=Gravity.BottomCenter,//置底的属性
           BackgroundColor = CSS.CSS_Color.view,

        };
        /// <summary>
        /// 保存
        /// </summary>
        public Button btnSave= new Button
        {
            Width = Application.GetRealWidth(220),
            Height = Application.GetRealHeight(44),
            Y = Application.GetRealHeight(12),
            X = Application.GetRealWidth(78),
            TextID = StringId.save,
            TextSize = TextSize.text16,
            TextColor = CSS.CSS_Color.textWhiteColor,
            TextAlignment = TextAlignment.Center,
            BackgroundColor= CSS.CSS_Color.btnSaveBackgroundColor,
            Radius = (uint)Application.GetRealHeight(22),

        };
        public Button btnClick = new Button
        {
            Height = Application.GetRealHeight(76),
        };
        /// <summary>
        /// 保存
        /// </summary>
        /// <returns></returns>
        public FrameLayout FLayoutView()
        {
            frameLayout.AddChidren(btnSave);
            frameLayout.AddChidren(btnClick);
            return frameLayout;
        }
    }
}
