﻿using System;
using Shared;
namespace HDL_ON.UI.UI2.Intelligence.Automation.LogicView
{
    public class SingleLogicView
    {
        /// <summary>
        /// 主控件View
        /// </summary>
        public FrameLayout frameLayout = new FrameLayout
        {
            X = Application.GetRealWidth(16),
            //Y = Application.GetRealHeight(12),
            Width = Application.GetRealWidth(343),
            Height = Application.GetRealHeight(102),
            BackgroundColor = CSS.CSS_Color.view,
            Radius = (uint)Application.GetRealHeight(12),
        };
        /// <summary>
        /// 逻辑名称
        /// </summary>
        public Button btnLogicName = new Button
        {
            Width = Application.GetRealWidth(250),
            Height = Application.GetRealHeight(20),
            TextSize = TextSize.text14,
            TextColor = CSS.CSS_Color.textColor,
            Y = Application.GetRealHeight(12),
            X = Application.GetRealWidth(TextSize.left12),
            TextAlignment = TextAlignment.CenterLeft,

        };
        /// <summary>
        /// 周期重复文本
        /// </summary>
        public Button btnWeekText = new Button
        {
            Width = Application.GetRealWidth(250),
            Height = Application.GetRealHeight(14),
            TextSize = TextSize.text12,
            TextColor = CSS.CSS_Color.textCancelColor,
            Y = Application.GetRealHeight(36),
            X = Application.GetRealWidth(TextSize.left12),
            TextAlignment = TextAlignment.CenterLeft,
        };
        /// <summary>
        /// 功能图标
        /// </summary>
        public Button btnStateIcon = new Button
        {
            Width = Application.GetRealWidth(28),
            Height = Application.GetRealWidth(28),
            Y = Application.GetRealHeight(8),
            X = Application.GetRealWidth(TextSize.left12),

        };
        /// <summary>
        /// 连线图标
        /// </summary>
        public Button btnLienIcon = new Button
        {

            Width = Application.GetRealWidth(20),
            Height = Application.GetRealWidth(20),
            Y = Application.GetRealHeight(66),
            X = Application.GetRealWidth(48),


        };
        /// <summary>
        /// 图标开关
        /// </summary>
        public Button btnSwitchIcon = new Button
        {
            Width = Application.GetRealWidth(36),
            Height = Application.GetRealWidth(36),
            Y = Application.GetRealHeight(58),
            X = Application.GetRealWidth(295),
            UnSelectedImagePath = "LogicIcon/off.png",
            SelectedImagePath = "LogicIcon/on.png",

        };
        /// <summary>
        /// 点击事件
        /// </summary>
        public Button btnclick= new Button
        {
            Width = Application.GetRealWidth(343),
            Height = Application.GetRealHeight(102),
        };

        /// <summary>
        /// View的方法
        /// </summary>
        /// <returns></returns>
        public FrameLayout FLayoutView()
        {
            frameLayout.AddChidren(btnLogicName);
            frameLayout.AddChidren(btnWeekText);
            frameLayout.AddChidren(btnStateIcon);
            frameLayout.AddChidren(btnLienIcon);
            frameLayout.AddChidren(btnclick);
            frameLayout.AddChidren(btnSwitchIcon);
            return frameLayout;
        }
    }
}
