﻿using System;
using Shared;
namespace HDL_ON.UI.UI2.Intelligence.Automation.LogicView
{
    public class CheckView
    {
        /// <summary>
        /// 主控件View
        /// </summary>
        public FrameLayout frameLayout = new FrameLayout
        {
            Height = Application.GetRealHeight(50),
        };

        /// <summary>
        /// 文本描述
        /// </summary>
        public Button btnText = new Button
        {
            TextSize = TextSize.text16,
            Width = Application.GetRealWidth(280),
            Height = Application.GetRealHeight(32),//20
            TextColor = CSS.CSS_Color.textColor,
            X = Application.GetRealWidth(20),
            Gravity = Gravity.CenterVertical,
            TextAlignment = TextAlignment.CenterLeft,
            IsMoreLines = true,
        };

      
        /// <summary>
        /// 图标
        /// </summary> 
        public Button btnCheckIcon = new Button
        {
            Width = Application.GetRealWidth(28),
            Height = Application.GetRealWidth(28),
            UnSelectedImagePath = "LogicIcon/weekoff.png",
            SelectedImagePath = "LogicIcon/weekon.png",
            X = Application.GetRealWidth(303),
            Gravity=Gravity.CenterVertical,
        };

        /// <summary>
        /// 线
        /// </summary>
        public Button btnLine = new Button
        {
            Width = Application.GetRealWidth(303),
            X = Application.GetRealWidth(20),
            Height = 1,
            BackgroundColor = CSS.CSS_Color.viewLine,

        };

        public Button btnClick = new Button
        {
            Height = Application.GetRealHeight(50),
        };
        /// <summary>
        /// View的方法
        /// </summary>
        /// <returns></returns>
        public FrameLayout FLayoutView()
        {
            frameLayout.AddChidren(btnText);
            frameLayout.AddChidren(btnCheckIcon);
            btnLine.Y = frameLayout.Height - 1;
            frameLayout.AddChidren(btnLine);
            frameLayout.AddChidren(btnClick);
            return frameLayout;
        }
    }
}
