﻿using System;
using Shared;
namespace HDL_ON.UI.UI2.Intelligence.Automation.LogicView
{
    public class LogicAddView
    {
        /// <summary>
        /// 主控件
        /// </summary>
        public FrameLayout frameLayout = new FrameLayout
        {
            Height = Application.GetRealHeight(80),
            Width = Application.GetRealWidth(343),
            BackgroundColor = CSS.CSS_Color.view,
            X = Application.GetRealWidth(LogicView.TextSize.left16),
        };
        /// <summary>
        /// 添加设备类型的图标控件
        /// </summary>
        public Button btnAddIcon= new Button
        {
            Width = Application.GetRealWidth(20),
            Height = Application.GetRealWidth(20),
            UnSelectedImagePath = "LogicIcon/addconditiontarget.png",
            Y = Application.GetRealHeight(22),
            X = Application.GetRealWidth(162),
        };
        public Button btnClick = new Button
        {
            Height = Application.GetRealHeight(80),
            Width = Application.GetRealWidth(343),
        };

        /// <summary>
        /// 返回父控件的方法
        /// </summary>
        /// <returns></returns>
        public FrameLayout FLayoutView()
        {
            frameLayout.AddChidren(btnAddIcon);
            frameLayout.AddChidren(btnClick);
            return frameLayout;
        }
    }
}
