﻿using System;
using Shared;
namespace HDL_ON.UI.UI2.Intelligence.Automation.LogicView
{
    public class LogicTypeTitleView
    {
        /// <summary>
        /// 主控件View
        /// </summary>
        public FrameLayout frameLayout = new FrameLayout
        {
            Height = Application.GetRealHeight(44),
            Width = Application.GetRealWidth(343),
            BackgroundColor= CSS.CSS_Color.view,
            X=Application.GetRealWidth(LogicView.TextSize.left16),
           // Radius=(uint)Application.GetRealHeight(12),
        };
        /// <summary>
        /// 文本描述
        /// </summary>
        public Button btnText = new Button
        {
            TextSize = LogicView.TextSize.text14,
            Width = Application.GetRealWidth(280),//270
            Height = Application.GetRealHeight(28),//20
            TextColor = CSS.CSS_Color.textColor,
            //TextAlignment = TextAlignment.CenterLeft,
            //Y = Application.GetRealHeight(12),
            X = Application.GetRealWidth(12),
            Gravity = Gravity.CenterVertical,
            IsMoreLines = true,
        };
        /// <summary>
        /// 图标
        /// </summary>
        public Button btnNextIcon = new Button
        {
            Width = Application.GetRealWidth(16),
            Height = Application.GetRealWidth(16),
            UnSelectedImagePath = "LogicIcon/next.png",
            //Y = Application.GetRealHeight(14),
            X = Application.GetRealWidth(315),
            //Gravity = Gravity.CenterVertical,

        };

        /// <summary>
        /// 线
        /// </summary>
        public Button btnLine = new Button
        {
            Height = 1,
            Width = Application.GetRealWidth(343 - 12 - 12),
            X = Application.GetRealWidth(12),
            BackgroundColor = CSS.CSS_Color.viewLine,

        };

        public Button btnClick = new Button
        {
            Height = Application.GetRealHeight(44),
            Width = Application.GetRealWidth(343),
        };
        /// <summary>
        /// View的方法
        /// </summary>
        /// <returns></returns>
        public FrameLayout FLayoutView()
        {
            btnText.TextAlignment = TextAlignment.CenterLeft;
            btnNextIcon.Gravity = Gravity.CenterVertical;
            frameLayout.AddChidren(btnText);
            frameLayout.AddChidren(btnNextIcon);
            btnLine.Y = frameLayout.Height - 1;
            frameLayout.AddChidren(btnLine);
            frameLayout.AddChidren(btnClick);
            return frameLayout;
        }
    }
}
