﻿using System;
using Shared;
namespace HDL_ON.UI.UI2.Intelligence.Automation.LogicView
{
    public class SelectTypeView
    {
        /// <summary>
        /// 主控件View
        /// </summary>
        public FrameLayout frameLayout = new FrameLayout
        {
            Height = Application.GetRealHeight(50),
            BackgroundColor = CSS.CSS_Color.view,
        };
        /// <summary>
        /// 图标
        /// </summary>
        public Button btnIcon = new Button
        {
            Width = Application.GetRealWidth(28),
            Height = Application.GetRealWidth(28),
            //Y = Application.GetRealHeight(8),
            X = Application.GetRealWidth(TextSize.left12),

        };
        /// <summary>
        /// 文本描述
        /// </summary>
        public Button btnText = new Button
        {
            TextSize = TextSize.text14,
            Width = Application.GetRealWidth(250),
            Height = Application.GetRealHeight(20),
            TextColor = CSS.CSS_Color.textColor,
            //Y=Application.GetRealHeight(12),
            X = Application.GetRealWidth(52),
        };


        /// <summary>
        /// 设备名称
        /// </summary>
        public Button btnDeviceName = new Button
        {
            Width = Application.GetRealWidth(250),
            Height = Application.GetRealHeight(20),
            TextSize = TextSize.text14,
            TextColor = CSS.CSS_Color.textColor,
            Y =Application.GetRealHeight(6),
            X = Application.GetRealWidth(52),
            TextAlignment = TextAlignment.CenterLeft,
            Visible =false,

        };
        /// <summary>
        /// 房间名(即是=区域名称)
        /// </summary>
        public Button btnRoomName= new Button
        {
            Width = Application.GetRealWidth(250),
            Height = Application.GetRealHeight(14),
            TextSize = TextSize.text10,
            TextColor = CSS.CSS_Color.textCancelColor,
            Y=Application.GetRealHeight(30),
            X = Application.GetRealWidth(52),
            TextAlignment = TextAlignment.CenterLeft,
            Visible = false,
        };

        /// <summary>
        /// （条件或者目标）设备状态文本描述
        /// </summary>
        public Button btnState = new Button
        {
            TextSize = TextSize.text12,
            Width = Application.GetRealWidth(130),
            Height = Application.GetRealHeight(17),
            TextColor = CSS.CSS_Color.textCancelColor,
            Y = Application.GetRealHeight(17),
            X = Application.GetRealWidth(375-48-130),
            TextAlignment = TextAlignment.CenterRight,
            Visible=false,

        };
        /// <summary>
        /// 图标
        /// </summary>
        public Button btnNextIcon = new Button
        {
            Width = Application.GetRealWidth(16),
            Height = Application.GetRealWidth(16),
            UnSelectedImagePath = "LogicIcon/next.png",
            X = Application.GetRealWidth(339),

        };

        /// <summary>
        /// 线
        /// </summary>
        public Button btnLine = new Button
        {
            Width = Application.GetRealWidth(307),
            X = Application.GetRealWidth(52),
            Height = 1,
            BackgroundColor = CSS.CSS_Color.viewLine,

        };

        public Button btnClick = new Button
        {
            Height = Application.GetRealHeight(50),
        };
        /// <summary>
        /// View的方法
        /// </summary>
        /// <returns></returns>
        public FrameLayout FLayoutView()
        {
            btnIcon.Gravity = Gravity.CenterVertical;
            btnText.Gravity = Gravity.CenterVertical;
            btnText.TextAlignment = TextAlignment.CenterLeft;
            btnNextIcon.Gravity = Gravity.CenterVertical;
            //btnDeviceName.Gravity= Gravity.CenterVertical;
            frameLayout.AddChidren(btnIcon);
            frameLayout.AddChidren(btnText);
            frameLayout.AddChidren(btnDeviceName);
            frameLayout.AddChidren(btnRoomName);
            frameLayout.AddChidren(btnState);
            frameLayout.AddChidren(btnNextIcon);
            btnLine.Y = frameLayout.Height - 1;
            frameLayout.AddChidren(btnLine);
            frameLayout.AddChidren(btnClick);
            return frameLayout;
        }
       

    }
}
